@import "./base/_variables.scss";
@import "./base/_generic.scss";
@import "./base/_base.scss";
@import "./moduls/_forms.scss";
@import "./_resets.scss";
@import "node_modules/bootstrap/scss/bootstrap-grid.scss";


.flatpickr-calendar{
	right: 20% !important;
}

.full_width{
  width: 100%;
}
:local(.container){
	@extend .full-width;
	position: relative;
}
.green_text{
	color: $theme !important;
}

.purpel_text{
	color: #6554d9 !important;
}

.full_height{
	// min-height: calc(100vh - 60px);
}

.inline_block{
  display: inline-block;
}

.purpel_back{
	background-color: #6554d9;
}

.grey_text{
	color: #999 !important;
}

.orange_text{
	color: #A44A05;
}

.theme_text{
	color : #ff7300 !important
}

.blue_text{
	color: #1577E2;
}

.grey_back{
	background-color:#f6f6f6;
}

.black_text{
	color: #4f4f4f;
}

.dark_black{
	color: #000000 !important
}

.white_text{
	color: #ffffff;
}

.upper_text{
	text-transform: uppercase;
}

.bolder_text{
	font-weight: bolder;
}

.bold_text{
	font-weight: bold;
}

.medium_text{
	font-weight: 600;
}

.lined_text{
	text-decoration: line-through;
}

.center_text{
	text-align: center;
}

.capital_text{
	text-transform: capitalize;
}

.gray_back_container{
	@extend .full_width;
	// background-color: $lighter-color;
    overflow:hidden;
}
.center_container{
	display: table;
	margin: 0 auto;
	width: 90%;
}
.half_width{
	width: 50%;
	@extend .left;
}
.left{
	float: left;
}

.right{
	float: right;
}

.flax_box{
	display: flex;
}
.head_title{
	text-align: center;
	font-size: 40px;
	margin: 20px 0;
	@extend .full-width;
	color: $theme;
}
.slogan{
	@extend .full-width;
	text-align: center;
	color: $disabled;
	font-size: 20px;
 }
 .errorMessage {
  color: $wrong;
  font-size: 14px;
  text-align: center;
}

.field_label{
	text-transform: uppercase;
	color: $dark-gray;
	@extend .full-width;
	// composes: container;
	padding: 0 15px;
	margin-top: 30px;
	margin-bottom: 8px;
	font-size: 10px;
}

.field_container{
	@extend .full-width;
	// composes: container;
	padding: 0 15px;
	// padding-left: env(safe-area-inset-left);
  // padding-right: env(safe-area-inset-right);
	/*border-top : 1px solid $light-grey;*/
	background-color: #fff;
	/*border-bottom: 1px solid $light-grey;*/
	/*font-size: 17px;*/
}

.field_blank_container{
	@extend .full-width;
	// composes: container;
	padding: 0 15px;
	margin-top: 32px;
}

.blank_container{
	// min-height: calc(100vh - 100px);
	@extend .full-width;
	// composes: container;
	margin-top: 32px;
}

.tile_container{
	@extend .full-width;
	// composes: field_container;
	// margin-top: 30px;
}

.field_container:last-child{
	border-bottom: 1px solid $light-grey;
}

.box_container{
    border: 1px solid $light-grey;
    padding: 16px 8px;
    margin: 0 16px;
    box-shadow: 0 1px 4px 0 rgba(74, 74, 74, 0.1);
}

.no_border{
    border: 0px !important;
}

.text_input{
	@extend .full-width;
	// composes: container;
	padding: 8px;
	border: 1px solid $light-grey !important;
	font-size: 18px;
	line-height: 30px;
	text-align: inherit;
}

.button{
	color: #fff;
	font-size: 16px;
	padding: 7px 10px;
	/*border-radius: 25px;*/
	/*text-transform: uppercase;*/
	text-align: center;
	outline: 0;
	border-radius: 2px;
}

.green_button{
	cursor: pointer;
	// composes: button;
	background-color: $theme;
  border: 1px solid $theme;
}

.section-border {
	border-bottom: 4px solid #eef2f7;
}

.border_button{
	cursor: pointer;
	// composes: button;
	background-color: #fff;
	color: #4a4a4a;
  border: 1px solid $dark-gray;
}

.border_button.green_border{
  border: 1px solid $theme;
  color: $theme;
  display: inline-block;
	padding: 4px 10px;
	border-radius: 2px;
}

.filled_grey_button{
	cursor: pointer;
	// composes: button;
	background-color: $dark-gray;
	color:#fff ;
  border: 1px solid $dark-gray;
}

.new_button{
  border: 1px solid #e1e1e1;
  padding: 5px 9px;
  position: absolute;
  right: 15px;
  bottom: 15px;
  background-color: #fff;
	color: $theme;
}

.red_button{
	// composes: button;
	background-color: #fff;
  color: rgba(255, 75, 75, 0.74);
  border: 1px solid $light-grey;
}

.show_detail_arrow{
	// color: #A5A5A5;
	padding-right: 23px;
	position: relative;
	float: right;
	// margin-top: 4px;
}

.medium_disable_text{
	font-size: 13px;
	color: #9b9b9b;
}

.small_disable_text {
	font-size: 12px !important;
	color: #A7A5A0;
}

.small_text{
	font-size: 10px;
}

.green_flat_button{
	cursor: pointer;
	// composes: button;
	background-color: $purple;
  border: 1px solid $purple;
  border-radius: 0;
}

.right_arrow{
	position: absolute;
	right: 0;
	top: 50%;
	-webkit-transform: translateY(-50%);
	transform: translateY(-50%) ;
	width: 12px;
	// height: 12px;
	svg{float: left}
	// border: 2px solid #aaa;
	// border-left: 0;
	// border-bottom: 0;
}

.show_detail_arrow .right_arrow{
	position: absolute;
	right: 0;
	top: 50%;
	-webkit-transform: translateY(-50%);
	transform: translateY(-50%) ;
	width: 12px;
	// height: 12px;
	svg{float: left}
	// border: 2px solid #aaa;
	// border-left: 0;
	// border-bottom: 0;
}

.dialog_body{
	span{
		width: 100%;
		padding: 15px;
		float:left;
		border-bottom: 1px solid #e1e1e1;
	}
	.green_text{
		color: #ff7300;
	}
}

.bigHeaderText{
	font-size: 18px;
	font-weight: bold;
	margin-bottom: 16px;
}

.bounce{
	font-size:50px;
	color:#fff;
	position:absolute;
	top:25%;
	left:25%;
	background:#1ABC9C;
	transition:All 800ms ease-in-out;
	padding:0px 10px;
	box-shadow:2px 2px 2px rgba(0,0,0,.7);
}
.error_text_message{
		color: $error;
		margin: 10px 0 0 15px;
		width: 100%;
		float: left;
}
.error_text{
	color: $error;
}

.section_heading{
    padding: 20px 16px 8px 16px;
    line-height: 27px;
    .section_title{
        font-size: 16px;
        font-weight: bold;
    }

}
.section_right{
    font-size: 12px;
    float: right;
    color: #999;
    font-weight: 600;
}

.fixed_btn{
    // composes: button;
    position: fixed;
    bottom:0;
    left: 50%;
    width: 100%;
    color: #fff;
    font-size: 16px;
    font-weight: 500;
    padding: 13px;
    z-index: 4;
    line-height: 21px;
    background: #ff7300;
    transform: translate3d(-50% , 0, 0);
    -webkit-transform:translate3d(-50% , 0, 0);
      -moz-transform:translate3d(-50% , 0, 0);
      -o-transform:translate3d(-50% , 0, 0);
	max-width: 650px;
    .left{
        float: left;
        line-height: 36px;
        font-size: 14px;
        padding-left: 8px;
    }
    .right{
        float: right;
        font-size: 14px;
        border: 1px solid #fff;
        height: 100%;
        line-height: 20px;
        padding: 6px 16px;
        border-radius: 2px;
    }
}

.fixed_btn_padding_8{
    padding: 8px;
}

.paddingBox{
	padding: 16px;
}

.fixed_btn_margin{
    margin-bottom: 75px;
}

.discount_tag {
  position: absolute;
  background: #e30c36;
  color: #fff;
  font-size: 9px !important;
  border-radius: 50%;
  width: 28px;
  text-align: center;
  height: 28px;
  left: -7px;
  top: -10px;
  font-weight: 600;
}

.bounce:hover{
    -webkit-animation:bounce 800ms linear 2;
    animation:bounce 800ms linear 2;
}

.info_icon{
    padding-left: 26px;
    padding-top: 140px;
  }
.info_topic{
    margin-top: 30px;
    font-family: Georgia;
    font-size: 28px;
    font-weight: bold;
    font-style: italic;
}

.info_sub_topic{
    font-family: HelveticaNeue;
    font-size: 80px;
    font-weight: bold;
    color: #ececec;
    margin-top: -25px;
  }

@-webkit-keyframes bounce {
    0%{transform:scaleX(1);}
    50%{transform:scaleX(1.1);}
    50%{transform:scaleX(1.1);}
    100%{transform:scaleX(1);}
}
@keyframes bounce {
    0%{transform:scaleX(1);}
    50%{transform:scaleX(1.1);}
    50%{transform:scaleX(1.1);}
    100%{transform:scaleX(1);}
}

@keyframes bounce {
  33% { transform: translateY(-20px); }
  66% { transform: translateY(0px); }
}

.bounce {
  animation: bounce 1s infinite ease-in-out;
}
.purple_background{
    background-color: $purple;
}

.fixed-header {
	background: #eef2f7;
}

.main_centered_container{
	width: 100%;
	margin: 0 auto;
	margin-top: 58px;
	margin-bottom: 58px;
	border-left: 1px solid #eef2f7;
	border-right: 1px solid #eef2f7;
	// min-height: calc(100vh - 55px);
	max-width: 650px;
	position: relative;
	padding-bottom: 70px;
	padding: env(safe-area-inset-top) env(safe-area-inset-right) env(safe-area-inset-bottom) env(safe-area-inset-left);
	// background: $background;
	@media (min-width: 1200px) {
		min-height: calc(100vh - 116px);
	}
}

.seprator{
    height: 4px;
    background-color:#eef2f7
}

.big_sep_blank{
    height: 32px;
}

.dark_background{
	background-color:#000000
}

.light_background{
	background: #000000;
	opacity:.2
}

@media screen and (max-width: 770px){
	.main_centered_container{
		width: 100%;
		border:none;
		max-width: none;
	}
	.fixed_btn{
		width: 100%;
		max-width: none;
	}
	.flatpickr-calendar{
		right: 8px !important;
	}

}

.fixed-header-margin {
	margin-top: 102px;
}
.address-margin {
	margin-top: 137px;
}
.checkout-margin {
	margin-bottom: 105px;
}
@import './components/categories-grid.scss';
@import './components/sku-list.scss';
@import './components/categories-grid.scss';
@import './components/imagescroller.scss';
